#ifndef ZENLDR_H_INCLUDED
#define ZENLDR_H_INCLUDED

struct R_HEADER
{
    uint32 Tag;        // "CODE"
    uint32 Size;       // Length of segment, excluding header.
    uint32 Unknown;
    static const int SizeOf = sizeof(uint32) * 2;
};

struct R_SECTION
{
    uint32 Address;    // The address which Content get's read to.
    uint32 Size;       // The size of the data to read.
    uint32 Checksum;   // Not certain about this one. Sometimes it's larger than RawSize, other's it's less.
                       // My guess it's used to allocate more memory than is present in Content.
};
struct SECTION_INFO
{
    R_SECTION Section;
    long FileOffset;
};

#endif //ZENLDR_H_INCLUDED
